%% function "R_q"
% It calculates the information rate on link "index".
% It will be called by "MIMO_Sequ_IWFA.m", "MIMO_Simu_IWFA.m" and
% "MIMO_Part_Asyn_IWFA.m"
function R_index = R_q(R_n, Q, H, P, N_T, index)
R_neg_index = Rate_neg_q(R_n, Q, H, P, index);
R_index = log2(real(det(eye(N_T(index))+H{index,index}'*inv(R_neg_index)*H{index,index}*P{index})));
end