%% function "R_neg_q.m"
% It calculates the MUI-plus-noise covariance matrix observed by link
% "index". It will be called by "R_q.m" and "WF_q.m".
function R_neg_index = Rate_neg_q(R_n, Q, H, P_inter, index)
% noise
R_neg_index = R_n{index};
% MUI
for i=1:Q
    if i~=index
        R_neg_index = R_neg_index + H{i,index}*P_inter{i}*H{i,index}';
    end
end
end